<?php

require_once 'modules/admin/views/public/SignupView.php';

/**
* @package Admin
*/
class ViewSignup_5_Failed extends SignupView
{
    var $permission     = '';

    function dispatch()
    {

        $this->initialize();

        // Init some vars
        $this->templateInit();

        // Process the progress bar
        $this->tplView->progress = $this->getProgressBar(5);
        $this->tplView->progressBar = $this->tplView->fetch('progressBar.tpl.php');
		
        // Now we are here, destroy the cart session
        $this->destroyCart();

        // Destroy also the currency
        $this->destroyCurrency();

        // Destroy also the invoice information
        $this->destroyInvoiceInformation();

        // Output the template
        $this->tplView->display('signup_5_Failed.tpl.php');

        // Show the footer
        $this->tplView->display('signup_footer.tpl.php');


    }
}

?>
